whatsapp-groups
WhatsApp groups: create, manage, invite link, join requests, participants.
WhatsApp groups: create, manage, invite link, join requests, participants.
| Method | Path | Operation | Scope | Test mode |
|---|---|---|---|---|
| GET | /v1/groups | whatsapp_groups_list: List WhatsApp groups | channels:read | - |
| POST | /v1/groups | whatsapp_groups_create: Create a WhatsApp group | channels:write | - |
| DELETE | /v1/groups/{group_id} | whatsapp_groups_delete: Delete a group | channels:write | - |
| GET | /v1/groups/{group_id} | whatsapp_groups_get: Get a WhatsApp group | channels:read | - |
| PATCH | /v1/groups/{group_id} | whatsapp_groups_update: Rename a group or change its description | channels:write | - |
| GET | /v1/groups/{group_id}/invite-link | whatsapp_groups_invite_link_get: Get the group's invite link | channels:read | - |
| POST | /v1/groups/{group_id}/invite-link | whatsapp_groups_invite_link_reset: Reset the group's invite link | channels:write | - |
| GET | /v1/groups/{group_id}/join-requests | whatsapp_groups_join_requests_list: People waiting to join | channels:read | - |
| POST | /v1/groups/{group_id}/join-requests:decide | whatsapp_groups_join_requests_decide: Approve or reject people waiting to join | channels:write | - |
| GET | /v1/groups/{group_id}/participants | whatsapp_groups_participants_list: List group participants | channels:read | - |
| POST | /v1/groups/{group_id}/participants:remove | whatsapp_groups_participants_remove: Remove people from a group | channels:write | - |
Request and response schemas: the interactive reference at https://api.wapitick.com/docs, or docs/api/openapi.json.